@extends(templates/layout_normal)

@section(main)
    <h2><?= $community->getName() ?> - Edit currencies</h2>
    <div class="box">
        <table class="fullWidth">
            <thead>
                <tr>
                    <th style="width: calc(100% / 3); text-align: left;">Currency</th>
                    <th style="width: calc(100% / 3); text-align: left;">Round digits</th>
                    <th style="width: calc(100% / 3);"></th>
                </tr>
            </thead>
            <?php foreach ($currencies as $currency): ?>
                <tr>
                    <td>
                        <form id="editCurrency_<?= $currency->getId() ?>" action="<?= Container::$routeCollection->getRoute('community-currencies-edit')->generateLink(['communityId' => $community->getId(), 'currency_id' => $currency->getId()]) ?>" method="post" data-reload-on-success="true" data-observe-inputs="code,round_digits"></form>
                        <form id="deleteCurrency_<?= $currency->getId() ?>" action="<?= Container::$routeCollection->getRoute('community-currencies-delete')->generateLink(['communityId' => $community->getId(), 'currency_id' => $currency->getId()]) ?>" method="post" data-reload-on-success="true"></form>
                        <input type="text" form="editCurrency_<?= $currency->getId() ?>" class="text fullWidth" name="code" value="<?= $currency->getCode() ?>" maxlength="3" required>
                    </td>
                    <td>
                        <input type="number" form="editCurrency_<?= $currency->getId() ?>" class="text fullWidth" name="round_digits" value="<?= $currency->getRoundDigits() ?>" min="0" max="9" required>
                    </td>
                    <td style="text-align: right;">
                        <button type="submit" form="editCurrency_<?= $currency->getId() ?>" name="submit" class="small marginRight" disabled>Save</button><!--
                     --><button type="submit" form="deleteCurrency_<?= $currency->getId() ?>" class="small red">Delete</button>
                    </td>
                </tr>
            <?php endforeach; ?>
            <tr>
                <td>
                    <form id="newCurrency" action="<?= Container::$routeCollection->getRoute('community-currencies-new')->generateLink(['communityId' => $community->getId()]) ?>" method="post" data-reload-on-success="true" data-observe-inputs="code,round_digits"></form>
                    <input type="text" form="newCurrency" class="text fullWidth" name="code" placeholder="Currency" maxlength="3" required>
                </td>
                <td>
                    <input type="number" form="newCurrency" class="text fullWidth" name="round_digits" placeholder="Round digits" min="0" max="9" required>
                </td>
                <td style="text-align: right;">
                    <button type="submit" form="newCurrency" name="submit" class="small" disabled>Add</button>
                </td>
            </tr>
        </table>
        <p class="formError justify marginTop"></p>
    </div>
@endsection
